2003-11-16  Theodore A. Roth  <troth@openavr.org>

	* configure.ac (AC_INIT): Bump version.
	* src/DAPA.C (TDAPA::TDAPA): Allow getting serial port from either
	-dlpt or -dserial if programmer is dasa or dasa2.

2003-10-17  Theodore A. Roth  <troth@openavr.org>
[Submitted by Russel Howe <russel@appliedminds.net>

	* configure.ac (AC_INIT): Bump version.
	* src/Stk500.C: Add support for mega64.
	* src/Stk500.h: Add note clarifying what the reset_disable extended
	parameter flag represents.

2003-10-06  Theodore A. Roth  <troth@openavr.org>
[Thanks to Dean Ferreyra <dferreyra@igc.org>]

	* configure.ac (AC_INIT): Bump version.
	* src/cygwinp.C (cygwinp_delay_usec): Don't initialize freq since it
	seems to break the build when using gcc-3.3.1 and latest cygwin.

2003-08-27  Theodore A. Roth  <troth@openavr.org>
	
	* configure.ac (AC_INIT): Bump version.
	* Makefile.am (dist-hook): Remove reference to config dir.
	* uisp.spec.in: Add man page to package.
	Disable building of debug package.

2003-08-11  Theodore A. Roth  <troth@openavr.org>

	* acconfig.h: Remove file.

2003-08-11  Theodore A. Roth  <troth@openavr.org>

	* Makefile.am (auxdir): Remove variable and usage.
	(AUX_DIST): Remove auxdir usage and add depcomp.
	(EXTRA_DIST): Remove references to config/ and acconfig.h.
	(AUTOMAKE_OPTIONS): Remove variable.
	(ACLOCAL): Remove variable.
	* NEWS: Add note about conversion to autoconf-2.57 and automake-1.7.x.
	* bootstrap: Convert to check for and use autoconf-2.57 and
	automake-1.7.x.
	* configure.ac: New file.
	* configure.in: Remove file.
	* config/README: Remove file.
	* config/check_autoconf213.m4: Remove file.

2003-08-07  Theodore A. Roth  <troth@openavr.org>

	* NEWS: Updated.

2003-08-07  Theodore A. Roth  <troth@openavr.org>

	* src/Main.C: Reformat -dhiv usage output.

2003-08-07  Theodore A. Roth  <troth@openavr.org>

	* configure.in: Bump version.
	* uisp.1.in:
	* src/Main.C:
	* src/Stk500.C:
	* src/Stk500.h:
	Change -dparallel option to -dhiv.

2003-07-14  Theodore A. Roth  <troth@openavr.org>

	* configure.in: Bump version.
	* AUTHORS: Add note about ChangeLog.
	* NEWS: Updated.

2003-07-14  Theodore A. Roth  <troth@openavr.org>
[Thanks to Terran Melconian <terran@consistent.org>]

	* uisp.1.in: Add --rd_osc and --wr_osc option info.
	Reorder --wr_aref option info.
	* src/Main.C: Reorder --wr_aref option info in usage.
	Add --rd_osc and --wr_osc option info to usage.
	* src/Stk500.C: Add handling of --rd_osc and --wr_osc options.

2003-07-07  Theodore A. Roth  <troth@openavr.org>

	* src/Serial.C: Fix seg fault when accessing obsolete -datmel option.

2003-06-20  Theodore A. Roth  <troth@openavr.org>

	* configure.in: Bump version (back to cvs track).
	* src/DAPA.C: There's some bug in recent linux kernels which makes
	ioperm I/O port permission changes be delayed (you get a segmentation
	fault at the instruction accessing the I/O port). May be related to
	this: http://www.securitytracker.com/alerts/2003/May/1006778.html.
	Known to affect RedHat's 2.4.20-13.9 kernel.
	[Thanks to David Gay <dgay@intel-research.net> for finding and fixing
	this and for the link.]

2003-06-18: Theodore A. Roth  <troth@openavr.org>

	* Release 20030618.

2003-06-18  Theodore A. Roth  <troth@openavr.org>

	* configure.in (AM_INIT_AUTOMAKE): Cut 20030618 release.
	* NEWS: Minor update to note release.

2003-05-27  Theodore A. Roth  <troth@openavr.org>

	* Makefile.am (EXTRA_DIST): Add doc/uisp-parport-connect.txt.
	* doc/uisp-parport-connect.txt: Add note about mega128 PDI/PDO pins.

2003-05-27  Theodore A. Roth  <troth@openavr.org>

	* configure.in (AM_INIT_AUTOMAKE): Bump version.
	* TODO: Add note about fuse and lock bits.
	* doc/uisp-parport-connect.txt: New file (found on net).

2003-05-18  Theodore A. Roth  <troth@openavr.org>

	* configure.in (AM_INIT_AUTOMAKE): Bump version.
	* NEWS: Fix spelling mistake.

2003-05-13  Theodore A. Roth  <troth@openavr.org>

	* configure.in: Update copyright year.
	* src/Avr.C: Ditto.
	* src/Avr.h: Ditto.
	* src/DAPA.C: Ditto.
	* src/DAPA.h: Ditto.
	* src/Error.h: Ditto.
	* src/MotIntl.C: Ditto.
	* src/Serial.C: Ditto.

2003-05-12  Theodore A. Roth  <troth@openavr.org>

	* uisp.1.in: Added new options.
	If an option takes an argument, show what it should be.
	* src/Main.C: Make a few usage notes more verbose to clarify some
	of the options.

2003-05-12  Theodore A. Roth  <troth@openavr.org>

	* uisp.1.in: Update pavr URL.
	Update bsd URL.
	Update bug report email address.
	Update download URL.

2003-05-12  Theodore A. Roth  <troth@openavr.org>

	* configure.in (AM_INIT_AUTOMAKE): Bump version.
	* src/DAPA.C: Fix a bug in which setting -dlpt=<port_number> for
	direct IO tries to open the default port name instead of the direct
	port. [Thanks to Pavel Celeda for reporting the problem and isolating
	a fix.]

2003-05-10  Theodore A. Roth  <troth@openavr.org>

	* src/Main.C: Update URLs for pavr and bsd programmers.
	s/Futurtec/Futurlec/ for ett programmer.
	* TODO: Update pavr URL.

2003-05-10  Theodore A. Roth  <troth@openavr.org>

	* configure.in (AM_INIT_AUTOMAKE): Bump version.
	* src/Serial.C: Fix select() failure on cygwin due to use of 
	getdtablesize() function. [Thanks to Marc Wetzel for the fix and
	Jason Kyle for reporting.]

2003-05-08  Theodore A. Roth  <troth@openavr.org>

	* configure.in (AM_INIT_AUTOMAKE): Bump version.
	* NEWS: Add note about pagesize fix.
	* src/Stk500.C: Fix num fuse bytes for mega162/mega169/mega103.
	When writing a page to the stk500, set the pagesize based on the
	pagesize parameter or if the parameter is zero, to 128 (this was
	causing programming of a 1200 to hang since the pagesize was
	fixed at 256 which was too long).

2003-05-08  Theodore A. Roth  <troth@openavr.org>

	* src/Avr.C: Mega162 has 3 fuse bytes, so set flags to AVR_M128
	instead of AVR_M163. [Thanks to John Norgaard for reporting this.]

2003-05-05  Theodore A. Roth  <troth@openavr.org>

	* src/Stk500.C: Add a unique string to some "Device is not responding
	correctly." error messages.

2003-05-04  Theodore A. Roth  <troth@openavr.org>

	* NEWS: New file.

2003-04-18  Theodore A. Roth  <troth@openavr.org>

	* configure.in (AM_INIT_AUTOMAKE): Bump version.
	* TODO: Updated.
	* src/DAPA.C: Handle TIOCMGET #ifdef's so that enum values are still
	valid in switch statements.
	Also, add check to see if TIOCCBRK is defined before using it. (This
	was causing the build to fail on cygwin.

2003-04-16  Theodore A. Roth  <troth@openavr.org>

	* src/DAPA.C:
	* src/Error.h:
	* src/Main.C:
	* src/MotIntl.C:
	* src/Serial.C:
	When throwing an Error_C, pass an argument so that the user has a
	clue as to the cause of the failure. (Maybe the user won't then have
	to spend two hours looking for what went wrong. *cough*)

2003-03-24  Theodore A. Roth  <troth@openavr.org>

	* configure.in: Add check for strtod function.
	* src/MotIntl.C: Calculate ihex checksum even on ignored records.
	[submitted by Pavel Celeda <ceba@vabo.cz>] [patch #1322]
	* src/Stk500.C: Use strtod() instead of strtof() [strtof isn't
	available when using gcc-2.95.x (debian)]

2003-03-11  Theodore A. Roth  <troth@openavr.org>

	* CHANGES:
	* ChangeLog:
	* uisp.spec.in:
	* doc/HOWTO.windows:
	Update all occurences of my email address.

2003-03-02  Theodore A. Roth  <troth@openavr.org>
[Thanks to Richard Barrington <richard@freedomwigs.com>]

	* src/DAPA.C: Add support for Futurlec ETT parallel port programmer.
	* src/DAPA.h: Ditto.
	* src/Main.C: Add note about ETT programmer to Usage().

2003-03-02  Theodore A. Roth  <troth@openavr.org>
[Thanks to Klaus Rudolph <lts-rudolph@gmx.de> as this is based on his patch]

	* src/Main.C: Add --{rd,wr}_{aref,vtg} options to Usage().
	* src/Stk500.C: Add read/write of aref and vtg voltages.
	* src/Stk500.h: Add ReadParam() and WriteParam() prototypes.

2003-02-21  Theodore A. Roth  <troth@openavr.org>

	* src/Main.C: Update copyright year.

2003-02-20  Theodore A. Roth  <troth@openavr.org>

	* configure.in (AM_INIT_AUTOMAKE): Bump version.
	* uisp.1.in: Fix -v option so max is 4.

2003-02-19  Theodore A. Roth  <troth@openavr.org>

	* AUTHORS: Update email addresses.
	* src/Avr.C: Remove const from parts array so we can change some values
		at runtime.
	* src/Avr.h: Ditto.
	* src/Main.C: Add command switch '-dparallel' for stk500.
	Fix -v option when printing help to note max is 4 instead of 3.
	Update email and URL addresses.
	* src/Stk500.C: Rename VerifyPresense() to Initialize().
	Remove const from prg_part[] array so we can change some values
	    at runtime.
	Before calling Initialize() process the -dparallel option.
	* src/Stk500.h: Rename VerifyPresense() to Initialize().
	Remove const from prg_part[] array so we can change some values
	        at runtime.

2003-02-19  Theodore A. Roth  <troth@openavr.org>

	* src/Stk500.C: Add support for firmware version 1.14.
	Add support for at90s8534, mega8515, mega8535, mega32.
	* src/Stk500.h: Remove cmd, len and sync from SPrgExtDevParams struct
	since its len varies depending on the firmware version.

2003-02-18  Theodore A. Roth  <troth@openavr.org>

	* configure.in (AM_INIT_AUTOMAKE): Bump version.
	* src/Avr.C: Add support for mega169.
	* src/Stk500.C: Add support for mega162 and mega169.

2003-02-17  Theodore A. Roth  <troth@openavr.org>

	* src/Stk500.C: Change MagicNumber to ExtDevParams (see appnote AVR061).
	Add ext dev params initialization to prg_part structure init.
	Wrap a few line strings.
	Change the "Device is not responding correctly." error messages so we
		can tell where they originated in the code.
	Add VerifyPresense() method: does most of what was in 
		EnterProgrammingMode().
	Simplify EnterProgrammingMode(): doesn't really need to set the params
		every time it's called.
	* src/Stk500.h: Add struct SPrgExtDevParams.
	Remove MagicNumber.
	Add VerifyPresense() method prototype.

2003-02-17  Theodore A. Roth  <troth@openavr.org>

	* src/timeradd.h: Fix some typos in timeradd & timersub macros.

2003-02-17  Theodore A. Roth  <troth@openavr.org>

	* src/Terminal.C: Remove C++ iostream usage since this was the only
	file to use it and it was not consistently used.

2003-02-15  Theodore A. Roth  <troth@openavr.org>

	* src/Stk500.C: Add support for mega16.

2003-02-15  Theodore A. Roth  <troth@openavr.org>

	* configure.in (AM_INIT_AUTOMAKE): Bump version.
	* pavr/Makefile: Create .lst file.
	Change default lpt port to parport0.
	* pavr/pavr.c: Use latest avr-libc headers.
	* src/Stk500.C: Print out the version of the stk500 firmware.

